
		zoomArray = new Array();
				
		zoomArray[0] = 45;
				
		zoomArray[1] = 68;
				
		zoomArray[2] = 90;
				
		var iZoom	=	90;	
		
var bCollapsed = true;
var mainTitle = "IT Risk Management";
var subTitle = "Demonstrators of RM/RA in Business Processes";
var externalLink = "http://www.enisa.europa.eu";
	
var bWithVersion = false;		
		
function views()
{
	var viewList = new Array();
	var allViewIds = new Array();
	var viewCounter = 0;
	
	function view(name, backgrdFile, activeFile, inactiveFile)
	{
		this.name = name;
		this.backgrdFile = backgrdFile;
		this.activeFile	= activeFile;
		this.inactiveFile =	inactiveFile;
	}
	
	this.addView = function(id, name, backgrd, high, low)
	{
		viewList[id] = new view(name, backgrd, high, low);
		viewCounter = viewCounter + 1;
		allViewIds.push(id);
	}
	
	this.getNumberOfViews = function()
	{
		return viewCounter;
	}
	
	this.getIdsOfAllViews = function()
	{
		return allViewIds;
	}
	
	this.getNameOfView = function(id)
	{
		return viewList[id].name;
	}
	
	this.getBackgroundOfView = function(id)
	{
		return viewList[id].backgrdFile;
	}
	
	this.getActiveImage = function(id)
	{
		return viewList[id].activeFile;
	}
	
	this.getInactiveImage = function(id)
	{
		return viewList[id].inactiveFile;
	}	
}

var viewObject = new views();
		
viewObject.addView("all", "Complete View", "boc_is_header_main_all.png", "xyz.png", "xyz.png");
		
viewObject.addView("proc", "Processes", "boc_is_header_main_all.png", "xyz.png", "xyz.png");
		
viewObject.addView("rol", "Roles", "boc_is_header_main_all.png", "xyz.png", "xyz.png");
		
viewObject.addView("leg", "Legend", "boc_is_header_main_all.png", "xyz.png", "xyz.png");
		
var defaultView = "all";
		
var activeView = defaultView;
			
var maxVisibleViews = Math.max(6, 1);
	
var Xoffset = 10;
var Yoffset = 0;
	
var printFormat = "pdf";
	